Loading...
Searching...
No Matches
thread_queue.h File Reference
`#include <algorithm>`
`#include <condition_variable>`
`#include <deque>`
`#include <limits>`
`#include <mutex>`
`#include <queue>`
`#include <thread>`

Go to the source code of this file.

## Data Structures

class | mqtt::queue_closed
class | mqtt::thread_queue< T, Container >

## Namespaces

namespace | mqtt

## Detailed Description

Implementation of the template class 'thread_queue', a thread-safe, blocking queue for passing data between threads, safe for use with smart pointers.

Date
  09-Jan-2017